package com.template.model.seewo;

import com.seewo.open.sdk.OpenApiParam;

/**
 * seewo-open API: 全量班级信息
 * 全量班级信息
 *
 * @author auto create
 * @since 2.0.1 2023-12-25
 */
public class OrgClassOpenSeewoUcOpenV1ClassFullParam extends OpenApiParam {


    /**
     * 请求体，MimeType为 application/json
     */

    private JSONRequestBody requestBody;


    public JSONRequestBody getRequestBody() {
        return this.requestBody;
    }

    public void setRequestBody(JSONRequestBody requestBody) {
        this.requestBody = requestBody;
    }

    public static OrgClassOpenSeewoUcOpenV1ClassFullParamBuilder builder(){
        return new OrgClassOpenSeewoUcOpenV1ClassFullParamBuilder();
    }

    public static class OrgClassOpenSeewoUcOpenV1ClassFullParamBuilder{
        private JSONRequestBody requestBody;

        public OrgClassOpenSeewoUcOpenV1ClassFullParamBuilder requestBody(JSONRequestBody requestBody){
            this.requestBody = requestBody;
            return this;
        }

        public OrgClassOpenSeewoUcOpenV1ClassFullParam build(){
            OrgClassOpenSeewoUcOpenV1ClassFullParam param = new OrgClassOpenSeewoUcOpenV1ClassFullParam();
            param.setRequestBody(requestBody);
            return param;
        }
    }

    public static class JSONRequestBody {
        /**
         * 学校uid
         */
        private String schoolUid;
        /**
         * 页码，默认1
         */
        private Integer pageNo;
        /**
         * 页大小，默认300
         */
        private Integer pageSize;

        public String getSchoolUid() {
            return this.schoolUid;
        }

        public void setSchoolUid(String schoolUid) {
            this.schoolUid = schoolUid;
        }

        public Integer getPageNo() {
            return this.pageNo;
        }

        public void setPageNo(Integer pageNo) {
            this.pageNo = pageNo;
        }

        public Integer getPageSize() {
            return this.pageSize;
        }

        public void setPageSize(Integer pageSize) {
            this.pageSize = pageSize;
        }


        public static JSONRequestBodyBuilder builder(){
            return new JSONRequestBodyBuilder();
        }

        public static class JSONRequestBodyBuilder{
            private String schoolUid;
            private Integer pageNo;
            private Integer pageSize;

            public JSONRequestBodyBuilder schoolUid(String schoolUid){
                this.schoolUid = schoolUid;
                return this;
            }
            public JSONRequestBodyBuilder pageNo(Integer pageNo){
                this.pageNo = pageNo;
                return this;
            }
            public JSONRequestBodyBuilder pageSize(Integer pageSize){
                this.pageSize = pageSize;
                return this;
            }

            public JSONRequestBody build(){
                JSONRequestBody param = new JSONRequestBody();
                param.setSchoolUid(schoolUid);
                param.setPageNo(pageNo);
                param.setPageSize(pageSize);
                return param;
            }
        }
    }


}
